package com.ssj.bean.sys.opentest;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_test_unit")
public class OpenTestUnit extends BaseEntity {
    private static final long serialVersionUID = 890135943022798129L;
    /**
     * 科目
     */
    private String subject;
    /**
     * 年级
     */
    private String grade;
    /**
     * 版本数字
     */
    private Integer versionType;
    /**
     * 版本名
     */
    private String versionName;
    /**
     * 单元
     */
    private String unit;
    /**
     * KMT单元
     */
    private String kmtUnit;
    /**
     * KMT单元id
     */
    private String howId;
    /**
     * 1上学期，2下学期
     */
    private Integer semester;
    /**
     * 排序
     */
    private Float sortNo;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 生效
     */
    private int isValid;
    /**
     * 年级排序
     */
    private Integer gradeSort;
    /**
     * 1学前，2单元，3期中
     */
    private int type;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Integer getGradeSort() {
        return gradeSort;
    }

    public void setGradeSort(Integer gradeSort) {
        this.gradeSort = gradeSort;
    }

    public Float getSortNo() {
        return sortNo;
    }

    public void setSortNo(Float sortNo) {
        this.sortNo = sortNo;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getVersionType() {
        return versionType;
    }

    public void setVersionType(Integer versionType) {
        this.versionType = versionType;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getKmtUnit() {
        return kmtUnit;
    }

    public void setKmtUnit(String kmtUnit) {
        this.kmtUnit = kmtUnit;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getIsValid() {
        return isValid;
    }

    public void setIsValid(int isValid) {
        this.isValid = isValid;
    }

    public String getHowId() {
        return howId;
    }

    public void setHowId(String howId) {
        this.howId = howId;
    }
}
